Bug 1031415 - [abrt] sddm-0.2.0-0.16.20130914git50ca5b20.fc20: __memcpy_sse2_unaligned: Process /usr/bin/sddm was killed by signal 11 (SIGSEGV)
[abrt] sddm-0.2.0-0.16.20130914git50ca5b20.fc20: __memcpy_sse2_unaligned: Pro...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sddm (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c94a10378ef7c31fe3148eb4ce1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 12:57 EST by Martin
Modified: 2014-10-07 05:29 EDT (History)
8 users (show)

See Also:
Fixed In Version: sddm-0.2.0-0.31.20140627gitf49c2c79.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-30 06:30:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.02 KB, text/plain)
2013-11-17 12:57 EST, Martin
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-17 12:57 EST, Martin
no flags Details
File: core_backtrace (10.70 KB, text/plain)
2013-11-17 12:57 EST, Martin
no flags Details
File: dso_list (6.85 KB, text/plain)
2013-11-17 12:57 EST, Martin
no flags Details
File: environ (72 bytes, text/plain)
2013-11-17 12:57 EST, Martin
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-17 12:57 EST, Martin
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-17 12:58 EST, Martin
no flags Details
File: maps (33.43 KB, text/plain)
2013-11-17 12:58 EST, Martin
no flags Details
File: open_fds (621 bytes, text/plain)
2013-11-17 12:58 EST, Martin
no flags Details
File: proc_pid_status (890 bytes, text/plain)
2013-11-17 12:58 EST, Martin
no flags Details
File: var_log_messages (22.38 KB, text/plain)
2013-11-17 12:58 EST, Martin
no flags Details

  None (edit)
Description Martin 2013-11-17 12:57:30 EST
Description of problem:
0. Autologin configured
1. Logout from session

Version-Release number of selected component:
sddm-0.2.0-0.16.20130914git50ca5b20.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/sddm
crash_function: __memcpy_sse2_unaligned
executable:     /usr/bin/sddm
kernel:         3.11.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __memcpy_sse2_unaligned at ../sysdeps/x86_64/multiarch/memcpy-sse2-unaligned.S:122
 #1 memcpy at /usr/include/bits/string3.h:51
 #2 node_copy at /usr/include/QtCore/qlist.h:423
 #3 QList<SDDM::DisplayManagerSession*>::detach_helper at /usr/include/QtCore/qlist.h:711
 #4 detach_helper at /usr/include/QtCore/qlist.h:725
 #5 detach at /usr/include/QtCore/qlist.h:139
 #6 begin at /usr/include/QtCore/qlist.h:267
 #7 SDDM::DisplayManager::RemoveSession at /usr/src/debug/sddm-50ca5b20354b6d338ce8836a613af19cedb1dca2/src/daemon/DisplayManager.cpp:116
 #8 SDDM::Authenticator::finished at /usr/src/debug/sddm-50ca5b20354b6d338ce8836a613af19cedb1dca2/src/daemon/Authenticator.cpp:405
 #9 QMetaObject::activate at kernel/qobject.cpp:3547
Comment 1 Martin 2013-11-17 12:57:39 EST
Created attachment 825238 [details]
File: backtrace
Comment 2 Martin 2013-11-17 12:57:42 EST
Created attachment 825239 [details]
File: cgroup
Comment 3 Martin 2013-11-17 12:57:46 EST
Created attachment 825240 [details]
File: core_backtrace
Comment 4 Martin 2013-11-17 12:57:50 EST
Created attachment 825241 [details]
File: dso_list
Comment 5 Martin 2013-11-17 12:57:54 EST
Created attachment 825242 [details]
File: environ
Comment 6 Martin 2013-11-17 12:57:57 EST
Created attachment 825243 [details]
File: exploitable
Comment 7 Martin 2013-11-17 12:58:01 EST
Created attachment 825244 [details]
File: limits
Comment 8 Martin 2013-11-17 12:58:05 EST
Created attachment 825245 [details]
File: maps
Comment 9 Martin 2013-11-17 12:58:08 EST
Created attachment 825246 [details]
File: open_fds
Comment 10 Martin 2013-11-17 12:58:12 EST
Created attachment 825247 [details]
File: proc_pid_status
Comment 11 Martin 2013-11-17 12:58:17 EST
Created attachment 825248 [details]
File: var_log_messages
Comment 12 Branislav Blaškovič 2013-11-23 17:28:08 EST
This bug is extremely annoying when you have LastUser set in /etc/sddm.conf.
I am not able to logout because after sddm restart I am logged in again and again.

Please fix asap.
Comment 13 Branislav Blaškovič 2013-11-23 17:31:57 EST
> This bug is extremely annoying when you have LastUser set in /etc/sddm.conf.
s/LastUser/AutoUser/ of course. The option to auto-login. My mistake.
Comment 14 Martin Bříza 2013-11-25 07:53:17 EST
Already looking into this a while now
Comment 15 Fedora Update System 2013-11-25 12:40:04 EST
sddm-0.2.0-0.21.20131125git7a008602.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.21.20131125git7a008602.fc20
Comment 16 Fedora Update System 2013-11-26 12:59:39 EST
Package sddm-0.2.0-0.22.20131125git7a008602.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sddm-0.2.0-0.22.20131125git7a008602.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22158/sddm-0.2.0-0.22.20131125git7a008602.fc20
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2014-06-25 07:09:26 EDT
sddm-0.2.0-0.29.20140623gitdb1d7381.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.29.20140623gitdb1d7381.fc20
Comment 18 Fedora Update System 2014-06-25 07:13:35 EDT
sddm-0.2.0-0.29.20140623gitdb1d7381.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.29.20140623gitdb1d7381.fc19
Comment 19 Fedora Update System 2014-06-30 06:30:48 EDT
sddm-0.2.0-0.31.20140627gitf49c2c79.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2014-10-07 05:29:03 EDT
sddm-0.9.0-1.20141007git6a28c29b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc19

Note You need to log in before you can comment on or make changes to this bug.